<?
/*if(isset($_SESSION['red'])){
	mysql_query("update redes set redes_nombre='$i051a', redes_url='$i051b', tematica_codigo=$i051c, redes_objetivo='$i051d' where redes_codigo=".$_SESSION['red'], $link);
	$red_id = $_SESSION['red'];
} else if(isset($_POST['actualizar'])){
	mysql_query("update redes set redes_nombre='$i051a', redes_url='$i051b', tematica_codigo=$i051c, redes_objetivo='$i051d' where redes_codigo=".$_POST['actualizar'], $link);
	$red_id = $_POST['actualizar'];
}*/
if(isset($_POST['actualizar'])){
	mysql_query("update redes set redes_nombre='$i051a', redes_url='$i051b', tematica_codigo=$i051c, redes_objetivo='$i051d', instituciones='$i051e', insti_codigo=".$_SESSION['id']." where redes_codigo=".$_POST['actualizar'], $link);
	$red_id = $_POST['actualizar'];
} else {
	mysql_query("insert into redes (redes_nombre, redes_url, tematica_codigo, redes_objetivo, instituciones, insti_codigo) values ('$i051a', '$i051b', $i051c, '$i051d', '$i051e', ".$_SESSION['id'].")", $link);
	$red_id = mysql_insert_id();
}

$q = mysql_query("select pobl_meta_codigo from pobl_meta", $link);
$n = mysql_num_rows($q);
mysql_free_result($q);
mysql_query("delete from redes_benef where redes_codigo=".$red_id, $link);/////////////
for ($i=1; $i<=$n; $i++){
	$cad = "i052".$i;
	if(!empty($_POST[$cad])){
	mysql_query("insert into redes_benef(redes_codigo, pobl_meta_codigo) values (".$red_id." ,$_POST[$cad])", $link);
	}
}
$q = mysql_query("select vocacion_codigo from vocacion", $link);
$n = mysql_num_rows($q);
mysql_free_result($q);
mysql_query("delete from redes_alcance where redes_codigo=".$red_id, $link);/////////////

for ($i=1; $i<=$n; $i++){
	$cad = "i053".$i;
	if(!empty($_POST[$cad])){
	mysql_query("insert into redes_alcance(redes_codigo, vocacion_codigo) values (".$red_id." ,$_POST[$cad])", $link);
	}
}
unset($_SESSION['red']);
if(isset($aceptar)){
	header("location:cv.htm");
	exit;
} else if(isset($aceptaro)){
	header("location:redes.htm");
	exit;
}
?>